#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 kan-extensions
version:              5.2.2
visibility:           public
id:                   kan-extensions-5.2.2-Ff5VplvjguWKXCiqpvAxWU
key:                  kan-extensions-5.2.2-Ff5VplvjguWKXCiqpvAxWU
license:              BSD-3-Clause
copyright:            Copyright (C) 2008-2016 Edward A. Kmett
maintainer:           Edward A. Kmett <ekmett@gmail.com>
author:               Edward A. Kmett
stability:            provisional
homepage:             http://github.com/ekmett/kan-extensions/
synopsis:
    Kan extensions, Kan lifts, the Yoneda lemma, and (co)density (co)monads

description:
    Kan extensions, Kan lifts, various forms of the Yoneda lemma, and (co)density (co)monads.

category:             Data Structures, Monads, Comonads, Functors
abi:                  ea3b87c1306403d42a8b9e9b432bc45e
exposed:              True
exposed-modules:
    Control.Comonad.Density Control.Monad.Co Control.Monad.Codensity
    Data.Functor.Contravariant.Coyoneda Data.Functor.Contravariant.Day
    Data.Functor.Contravariant.Yoneda Data.Functor.Coyoneda
    Data.Functor.Day Data.Functor.Day.Curried
    Data.Functor.Invariant.Day Data.Functor.Kan.Lan
    Data.Functor.Kan.Ran Data.Functor.Yoneda

import-dirs:          /usr/lib/ghc-8.10.4/site-local/kan-extensions-5.2.2
library-dirs:         /usr/lib/ghc-8.10.4/site-local/kan-extensions-5.2.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/kan-extensions-5.2.2
hs-libraries:         HSkan-extensions-5.2.2-Ff5VplvjguWKXCiqpvAxWU
includes:             kan-extensions-common.h
depends:
    adjunctions-4.4-BORw3wDwAzX3Nciq3nwu7o array-0.5.4.0 base-4.14.1.0
    comonad-5.0.8-2STXhJHdOwG6LgHef2WtC9 containers-0.6.2.1
    contravariant-1.5.3-7koBfVZf7s8G3BlROnwJJd
    distributive-0.6.2.1-DphVC5Dp8fJ37camRtcpt6
    free-5.1.7-7YEm0XiwKFjIXRCrS8ui5E
    invariant-0.5.4-FlWnJMlROhXBBrzypGcTAC mtl-2.2.2
    profunctors-5.6.2-HsmXPM2wi3SFMqqwuj8Qc0
    semigroupoids-5.3.5-I2gNxmHDk9w9wpXtVDf1vz
    tagged-0.8.6.1-A3E8I7zg2qBFE9O5vQsg6C transformers-0.5.6.2
    transformers-compat-0.6.6-5ZJJ9POl5DGLIWTn4Z8HjM

haddock-interfaces:
    /usr/share/doc/haskell-kan-extensions/html/kan-extensions.haddock

haddock-html:         /usr/share/doc/haskell-kan-extensions/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

